package com.ruoyi.activiti.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 员工花名册审批业务对象 biz_employe_report
 * 
 * @author ruoyi
 * @date 2021-12-06
 */
public class BizEmployeReport extends ProcessEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 申请人ID */
    @Excel(name = "申请人ID")
    private String applyUserId;

    /** 申请人code */
    @Excel(name = "申请人code")
    private String applyUserName;

    /** 申请人昵称 */
    @Excel(name = "申请人昵称")
    private String applyUserNickName;

    /** 申请人部门ID */
    @Excel(name = "申请人部门ID")
    private Long applyDeptId;

    /** 申请人部门名称 */
    @Excel(name = "申请人部门名称")
    private String applyDeptName;

    /** 申请时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "申请时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date applyTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date finishTime;

    /** 流程实例ID */
    @Excel(name = "流程实例ID")
    private String instanceId;

    /** 流程定义key */
    @Excel(name = "流程定义key")
    private String processKey;

    /** 员工ID */
    @Excel(name = "员工ID")
    private Long employeId;

    /** 唯一码 */
    @Excel(name = "唯一码")
    private String uniqueCode;

    /** 单位ID */
    @Excel(name = "单位ID")
    private Long deptId;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String deptName;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 手机号 */
    @Excel(name = "手机号")
    private String phone;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String idcardNo;

    /** 性别 */
    @Excel(name = "性别")
    private String sex;

    /** 出生日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "出生日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date birthDay;

    /** 是否独生子女 */
    @Excel(name = "是否独生子女")
    private String onlyChild;

    /** 民族 */
    @Excel(name = "民族")
    private String folk;

    /** 政治面貌 */
    @Excel(name = "政治面貌")
    private String politicalStatus;

    /** 籍贯 */
    @Excel(name = "籍贯")
    private String nativePlace;

    /** 第一学历 */
    @Excel(name = "第一学历")
    private String firstEducation;

    /** 第一学校 */
    @Excel(name = "第一学校")
    private String firstEducationSchool;

    /** 第一专业 */
    @Excel(name = "第一专业")
    private String firstEducationProfession;

    /** 最高学历学位 */
    @Excel(name = "最高学历学位")
    private String topEducation;

    /** 最高毕业学校 */
    @Excel(name = "最高毕业学校")
    private String topEducationSchool;

    /** 最高专业 */
    @Excel(name = "最高专业")
    private String topEducationProfession;

    /** 技术职称 */
    @Excel(name = "技术职称")
    private String professionalTitle;

    /** 职务 */
    @Excel(name = "职务")
    private String postJob;

    /** 岗位代码 */
    @Excel(name = "岗位代码")
    private String postCode;

    /** 职务 */
    @Excel(name = "职务")
    private String postTitle;

    /** 职级 */
    @Excel(name = "职级")
    private String postLevel;

    /** 任同等职务时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "任同等职务时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date postTime;

    /** 参加工作时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "参加工作时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date workDate;

    /** 入职时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "入职时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date hiredate;

    /** 解雇日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "解雇日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date firedate;

    /** 员工类型 */
    @Excel(name = "员工类型")
    private String employeType;

    /** 人事档案是否在集团 */
    @Excel(name = "人事档案是否在集团")
    private String personnelDossier;

    /** 人事档案存放地 */
    @Excel(name = "人事档案存放地")
    private String personnelDossierLocation;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 审批状态（0：已生效，1：审批中; 2: 审批被拒） */
    @Excel(name = "审批状态", readConverterExp = "0=：已生效，1：审批中;,2=:,审=批被拒")
    private String approveStatus;

    /** 审批类型 */
    @Excel(name = "审批类型")
    private String approveType;

    /** 审批意见 */
    @Excel(name = "审批意见")
    private String approveContent;

    /** 审批人 */
    @Excel(name = "审批人")
    private String approveBy;

    /** 审批时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审批时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date approveTime;

    /** 0:正常，1:已删除 */
    @Excel(name = "0:正常，1:已删除")
    private String deleteStatus;

    /** 删除时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "删除时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date deleteTime;

    /** 删除人 */
    @Excel(name = "删除人")
    private String deleteBy;

    /** 创建日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createDate;

    /** 更新日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updateDate;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setApplyUserId(String applyUserId) 
    {
        this.applyUserId = applyUserId;
    }

    public String getApplyUserId() 
    {
        return applyUserId;
    }
    public void setApplyUserName(String applyUserName) 
    {
        this.applyUserName = applyUserName;
    }

    public String getApplyUserName() 
    {
        return applyUserName;
    }
    public void setApplyUserNickName(String applyUserNickName) 
    {
        this.applyUserNickName = applyUserNickName;
    }

    public String getApplyUserNickName() 
    {
        return applyUserNickName;
    }
    public void setApplyDeptId(Long applyDeptId) 
    {
        this.applyDeptId = applyDeptId;
    }

    public Long getApplyDeptId() 
    {
        return applyDeptId;
    }
    public void setApplyDeptName(String applyDeptName) 
    {
        this.applyDeptName = applyDeptName;
    }

    public String getApplyDeptName() 
    {
        return applyDeptName;
    }
    public void setApplyTime(Date applyTime) 
    {
        this.applyTime = applyTime;
    }

    public Date getApplyTime() 
    {
        return applyTime;
    }
    public void setFinishTime(Date finishTime) 
    {
        this.finishTime = finishTime;
    }

    public Date getFinishTime() 
    {
        return finishTime;
    }
    public void setInstanceId(String instanceId) 
    {
        this.instanceId = instanceId;
    }

    public String getInstanceId() 
    {
        return instanceId;
    }
    public void setProcessKey(String processKey) 
    {
        this.processKey = processKey;
    }

    public String getProcessKey() 
    {
        return processKey;
    }
    public void setEmployeId(Long employeId) 
    {
        this.employeId = employeId;
    }

    public Long getEmployeId() 
    {
        return employeId;
    }
    public void setUniqueCode(String uniqueCode) 
    {
        this.uniqueCode = uniqueCode;
    }

    public String getUniqueCode() 
    {
        return uniqueCode;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }

    public String getDeptName() { return deptName; }

    public void setDeptName(String deptName) { this.deptName = deptName;}

    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setIdcardNo(String idcardNo) 
    {
        this.idcardNo = idcardNo;
    }

    public String getIdcardNo() 
    {
        return idcardNo;
    }
    public void setSex(String sex) 
    {
        this.sex = sex;
    }

    public String getSex() 
    {
        return sex;
    }
    public void setBirthDay(Date birthDay) 
    {
        this.birthDay = birthDay;
    }

    public Date getBirthDay() 
    {
        return birthDay;
    }
    public void setOnlyChild(String onlyChild) 
    {
        this.onlyChild = onlyChild;
    }

    public String getOnlyChild() 
    {
        return onlyChild;
    }
    public void setFolk(String folk) 
    {
        this.folk = folk;
    }

    public String getFolk() 
    {
        return folk;
    }
    public void setPoliticalStatus(String politicalStatus) 
    {
        this.politicalStatus = politicalStatus;
    }

    public String getPoliticalStatus() 
    {
        return politicalStatus;
    }
    public void setNativePlace(String nativePlace) 
    {
        this.nativePlace = nativePlace;
    }

    public String getNativePlace() 
    {
        return nativePlace;
    }
    public void setFirstEducation(String firstEducation) 
    {
        this.firstEducation = firstEducation;
    }

    public String getFirstEducation() 
    {
        return firstEducation;
    }
    public void setFirstEducationSchool(String firstEducationSchool) 
    {
        this.firstEducationSchool = firstEducationSchool;
    }

    public String getFirstEducationSchool() 
    {
        return firstEducationSchool;
    }
    public void setFirstEducationProfession(String firstEducationProfession) 
    {
        this.firstEducationProfession = firstEducationProfession;
    }

    public String getFirstEducationProfession() 
    {
        return firstEducationProfession;
    }
    public void setTopEducation(String topEducation) 
    {
        this.topEducation = topEducation;
    }

    public String getTopEducation() 
    {
        return topEducation;
    }
    public void setTopEducationSchool(String topEducationSchool) 
    {
        this.topEducationSchool = topEducationSchool;
    }

    public String getTopEducationSchool() 
    {
        return topEducationSchool;
    }
    public void setTopEducationProfession(String topEducationProfession) 
    {
        this.topEducationProfession = topEducationProfession;
    }

    public String getTopEducationProfession() 
    {
        return topEducationProfession;
    }
    public void setProfessionalTitle(String professionalTitle) 
    {
        this.professionalTitle = professionalTitle;
    }

    public String getProfessionalTitle() 
    {
        return professionalTitle;
    }
    public void setPostJob(String postJob) 
    {
        this.postJob = postJob;
    }

    public String getPostJob() 
    {
        return postJob;
    }
    public void setPostCode(String postCode) 
    {
        this.postCode = postCode;
    }

    public String getPostCode() 
    {
        return postCode;
    }
    public void setPostTitle(String postTitle) 
    {
        this.postTitle = postTitle;
    }

    public String getPostTitle() 
    {
        return postTitle;
    }
    public void setPostLevel(String postLevel) 
    {
        this.postLevel = postLevel;
    }

    public String getPostLevel() 
    {
        return postLevel;
    }
    public void setPostTime(Date postTime) 
    {
        this.postTime = postTime;
    }

    public Date getPostTime() 
    {
        return postTime;
    }
    public void setWorkDate(Date workDate) 
    {
        this.workDate = workDate;
    }

    public Date getWorkDate() 
    {
        return workDate;
    }
    public void setHiredate(Date hiredate) 
    {
        this.hiredate = hiredate;
    }

    public Date getHiredate() 
    {
        return hiredate;
    }
    public void setFiredate(Date firedate) 
    {
        this.firedate = firedate;
    }

    public Date getFiredate() 
    {
        return firedate;
    }
    public void setEmployeType(String employeType) 
    {
        this.employeType = employeType;
    }

    public String getEmployeType() 
    {
        return employeType;
    }
    public void setPersonnelDossier(String personnelDossier) 
    {
        this.personnelDossier = personnelDossier;
    }

    public String getPersonnelDossier() 
    {
        return personnelDossier;
    }
    public void setPersonnelDossierLocation(String personnelDossierLocation) 
    {
        this.personnelDossierLocation = personnelDossierLocation;
    }

    public String getPersonnelDossierLocation() 
    {
        return personnelDossierLocation;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setApproveStatus(String approveStatus) 
    {
        this.approveStatus = approveStatus;
    }

    public String getApproveStatus() 
    {
        return approveStatus;
    }
    public void setApproveType(String approveType) 
    {
        this.approveType = approveType;
    }

    public String getApproveType() 
    {
        return approveType;
    }
    public void setApproveContent(String approveContent) 
    {
        this.approveContent = approveContent;
    }

    public String getApproveContent() 
    {
        return approveContent;
    }
    public void setApproveBy(String approveBy) 
    {
        this.approveBy = approveBy;
    }

    public String getApproveBy() 
    {
        return approveBy;
    }
    public void setApproveTime(Date approveTime) 
    {
        this.approveTime = approveTime;
    }

    public Date getApproveTime() 
    {
        return approveTime;
    }
    public void setDeleteStatus(String deleteStatus) 
    {
        this.deleteStatus = deleteStatus;
    }

    public String getDeleteStatus() 
    {
        return deleteStatus;
    }
    public void setDeleteTime(Date deleteTime) 
    {
        this.deleteTime = deleteTime;
    }

    public Date getDeleteTime() 
    {
        return deleteTime;
    }
    public void setDeleteBy(String deleteBy) 
    {
        this.deleteBy = deleteBy;
    }

    public String getDeleteBy() 
    {
        return deleteBy;
    }
    public void setCreateDate(Date createDate) 
    {
        this.createDate = createDate;
    }

    public Date getCreateDate() 
    {
        return createDate;
    }
    public void setUpdateDate(Date updateDate) 
    {
        this.updateDate = updateDate;
    }

    public Date getUpdateDate() 
    {
        return updateDate;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("applyUserId", getApplyUserId())
            .append("applyUserName", getApplyUserName())
            .append("applyUserNickName", getApplyUserNickName())
            .append("applyDeptId", getApplyDeptId())
            .append("applyDeptName", getApplyDeptName())
            .append("applyTime", getApplyTime())
            .append("finishTime", getFinishTime())
            .append("instanceId", getInstanceId())
            .append("processKey", getProcessKey())
            .append("employeId", getEmployeId())
            .append("uniqueCode", getUniqueCode())
            .append("deptId", getDeptId())
            .append("name", getName())
            .append("phone", getPhone())
            .append("idcardNo", getIdcardNo())
            .append("sex", getSex())
            .append("birthDay", getBirthDay())
            .append("onlyChild", getOnlyChild())
            .append("folk", getFolk())
            .append("politicalStatus", getPoliticalStatus())
            .append("nativePlace", getNativePlace())
            .append("firstEducation", getFirstEducation())
            .append("firstEducationSchool", getFirstEducationSchool())
            .append("firstEducationProfession", getFirstEducationProfession())
            .append("topEducation", getTopEducation())
            .append("topEducationSchool", getTopEducationSchool())
            .append("topEducationProfession", getTopEducationProfession())
            .append("professionalTitle", getProfessionalTitle())
            .append("postJob", getPostJob())
            .append("postCode", getPostCode())
            .append("postTitle", getPostTitle())
            .append("postLevel", getPostLevel())
            .append("postTime", getPostTime())
            .append("workDate", getWorkDate())
            .append("hiredate", getHiredate())
            .append("firedate", getFiredate())
            .append("employeType", getEmployeType())
            .append("personnelDossier", getPersonnelDossier())
            .append("personnelDossierLocation", getPersonnelDossierLocation())
            .append("status", getStatus())
            .append("approveStatus", getApproveStatus())
            .append("approveType", getApproveType())
            .append("approveContent", getApproveContent())
            .append("approveBy", getApproveBy())
            .append("approveTime", getApproveTime())
            .append("deleteStatus", getDeleteStatus())
            .append("deleteTime", getDeleteTime())
            .append("deleteBy", getDeleteBy())
            .append("createBy", getCreateBy())
            .append("createDate", getCreateDate())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateDate", getUpdateDate())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .append("remark", getRemark())
            .toString();
    }
}
